Application Load Balancer API, REST: LoadBalancer.Get
- HTTP request
- Path parameters
- Response
- Listener
- Endpoint
- Address
- ExternalIpv4Address
- InternalIpv4Address
- ExternalIpv6Address
- StreamListener
- StreamHandler
- HttpListener
- HttpHandler
- Http2Options
- Redirects
- TlsListener
- TlsHandler
- ClientCertificatesVerification
- SniMatch
- AllocationPolicy
- Location
- AutoScalePolicy
- LogOptions
- LogDiscardRule
Returns the specified application load balancer.
To get the list of all available application load balancers, make a List request.
HTTP request
GET https://alb.api.cloud.yandex.net/apploadbalancer/v1/loadBalancers/{loadBalancerId}
Path parameters
|
Field |
Description |
|
loadBalancerId |
string Required field. ID of the application load balancer to return. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"name": "string",
"description": "string",
"folderId": "string",
"labels": "object",
"status": "string",
"listeners": [
{
"name": "string",
"endpoints": [
{
"addresses": [
{
// Includes only one of the fields `externalIpv4Address`, `internalIpv4Address`, `externalIpv6Address`
"externalIpv4Address": {
"address": "string"
},
"internalIpv4Address": {
"address": "string",
"subnetId": "string"
},
"externalIpv6Address": {
"address": "string"
}
// end of the list of possible fields
}
],
"ports": [
"string"
]
}
],
// Includes only one of the fields `stream`, `http`, `tls`
"stream": {
"handler": {
"backendGroupId": "string",
"idleTimeout": "string"
}
},
"http": {
"handler": {
"httpRouterId": "string",
"rewriteRequestId": "boolean",
// Includes only one of the fields `http2Options`, `allowHttp10`
"http2Options": {
"maxConcurrentStreams": "string"
},
"allowHttp10": "boolean",
// end of the list of possible fields
"preserveHttp1HeaderCasing": "boolean"
},
"redirects": {
"httpToHttps": "boolean"
}
},
"tls": {
"defaultHandler": {
// Includes only one of the fields `streamHandler`, `httpHandler`
"streamHandler": {
"backendGroupId": "string",
"idleTimeout": "string"
},
"httpHandler": {
"httpRouterId": "string",
"rewriteRequestId": "boolean",
// Includes only one of the fields `http2Options`, `allowHttp10`
"http2Options": {
"maxConcurrentStreams": "string"
},
"allowHttp10": "boolean",
// end of the list of possible fields
"preserveHttp1HeaderCasing": "boolean"
},
// end of the list of possible fields
"certificateIds": [
"string"
],
"clientCertificatesVerification": {
"requireClientCertificate": "boolean",
// Includes only one of the fields `bytes`
"bytes": "string"
// end of the list of possible fields
}
},
"sniHandlers": [
{
"name": "string",
"serverNames": [
"string"
],
"handler": {
// Includes only one of the fields `streamHandler`, `httpHandler`
"streamHandler": {
"backendGroupId": "string",
"idleTimeout": "string"
},
"httpHandler": {
"httpRouterId": "string",
"rewriteRequestId": "boolean",
// Includes only one of the fields `http2Options`, `allowHttp10`
"http2Options": {
"maxConcurrentStreams": "string"
},
"allowHttp10": "boolean",
// end of the list of possible fields
"preserveHttp1HeaderCasing": "boolean"
},
// end of the list of possible fields
"certificateIds": [
"string"
],
"clientCertificatesVerification": {
"requireClientCertificate": "boolean",
// Includes only one of the fields `bytes`
"bytes": "string"
// end of the list of possible fields
}
}
}
]
}
// end of the list of possible fields
}
],
"allocationPolicy": {
"locations": [
{
"zoneId": "string",
"subnetId": "string",
"disableTraffic": "boolean",
"zonalShiftActive": "boolean",
"zonalTrafficDisabled": "boolean"
}
]
},
"networkId": "string",
"logGroupId": "string",
"regionId": "string",
"securityGroupIds": [
"string"
],
"createdAt": "string",
"autoScalePolicy": {
"minZoneSize": "string",
"maxSize": "string"
},
"logOptions": {
"logGroupId": "string",
"discardRules": [
{
"httpCodes": [
"string"
],
"httpCodeIntervals": [
"string"
],
"grpcCodes": [
"string"
],
"discardPercent": "string"
}
],
"disable": "boolean"
},
"allowZonalShift": "boolean"
}
An application load balancer resource.
For details about the concept, see documentation.
|
Field |
Description |
|
id |
string ID of the application load balancer. Generated at creation time. |
|
name |
string Name of the application load balancer. The name is unique within the folder. |
|
description |
string Description of the application load balancer. |
|
folderId |
string ID of the folder that the application load balancer belongs to. |
|
labels |
object (map<string, string>) Application load balancer labels as |
|
status |
enum (Status) Status of the application load balancer.
|
|
listeners[] |
Listeners that belong to the application load balancer. |
|
allocationPolicy |
Locality settings of the application load balancer. |
|
networkId |
string ID of the network that the application load balancer belongs to. |
|
logGroupId |
string ID of the log group that stores access logs of the application load balancer. |
|
regionId |
string ID of the region that the application load balancer is located at. |
|
securityGroupIds[] |
string ID's of the security groups attributed to the application load balancer. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
autoScalePolicy |
Scaling settings of the application load balancer. |
|
logOptions |
Cloud logging settings of the application load balancer. |
|
allowZonalShift |
boolean Specifies whether application load balancer is available to zonal shift. |
Listener
A listener resource.
For details about the concept, see documentation.
|
Field |
Description |
|
name |
string Required field. Name of the listener. The name is unique within the application load balancer. |
|
endpoints[] |
Endpoints of the listener. |
|
stream |
Unencrypted stream (TCP) listener settings. Includes only one of the fields Listener type and settings. |
|
http |
Unencrypted HTTP listener settings. Includes only one of the fields Listener type and settings. |
|
tls |
TLS-encrypted HTTP or TCP stream listener settings. Includes only one of the fields Listener type and settings. |
Endpoint
An endpoint resource.
|
Field |
Description |
|
addresses[] |
Endpoint public (external) and internal addresses. The number of elements must be greater than 0. |
|
ports[] |
string (int64) Endpoint ports. The number of elements must be greater than 0. Acceptable values are 1 to 65535, inclusive. |
Address
An endpoint address resource.
|
Field |
Description |
|
externalIpv4Address |
Public IPv4 endpoint address. Includes only one of the fields Endpoint address of one of the types: public (external) IPv4 address, internal IPv4 address, public IPv6 address. |
|
internalIpv4Address |
Internal IPv4 endpoint address. Includes only one of the fields Endpoint address of one of the types: public (external) IPv4 address, internal IPv4 address, public IPv6 address. |
|
externalIpv6Address |
Public IPv6 endpoint address. Includes only one of the fields Endpoint address of one of the types: public (external) IPv4 address, internal IPv4 address, public IPv6 address. |
ExternalIpv4Address
A public (external) IPv4 endpoint address resource.
|
Field |
Description |
|
address |
string IPv4 address. |
InternalIpv4Address
An internal IPv4 endpoint address resource.
|
Field |
Description |
|
address |
string IPv4 address. |
|
subnetId |
string ID of the subnet that the address belongs to. |
ExternalIpv6Address
A public (external) IPv4 endpoint address resource.
|
Field |
Description |
|
address |
string IPv6 address. |
StreamListener
A stream (TCP) listener resource.
|
Field |
Description |
|
handler |
Required field. Settings for handling stream (TCP) requests. |
StreamHandler
A stream (TCP) handler resource.
|
Field |
Description |
|
backendGroupId |
string Required field. ID of the backend group processing requests. For details about the concept, see |
|
idleTimeout |
string (duration) The idle timeout is duration during which no data is transmitted or received on either the upstream or downstream connection. |
HttpListener
An HTTP listener resource.
|
Field |
Description |
|
handler |
Settings for handling HTTP requests. |
|
redirects |
Redirects settings. |
HttpHandler
An HTTP handler resource.
|
Field |
Description |
|
httpRouterId |
string ID of the HTTP router processing requests. For details about the concept, see |
|
rewriteRequestId |
boolean When unset, will preserve the incoming x-request-id header, otherwise would rewrite it with a new value. |
|
http2Options |
HTTP/2 settings. Includes only one of the fields Protocol settings. |
|
allowHttp10 |
boolean Enables support for incoming HTTP/1.0 and HTTP/1.1 requests and disables it for HTTP/2 requests. Includes only one of the fields Protocol settings. |
|
preserveHttp1HeaderCasing |
boolean When enabled, preserves the original casing of HTTP/1.1 header names (e.g. "CONTENT-Type" -> "CONTENT-Type"). |
Http2Options
An HTTP/2 options resource.
|
Field |
Description |
|
maxConcurrentStreams |
string (int64) Maximum number of concurrent HTTP/2 streams in a connection. |
Redirects
A listener redirects resource.
|
Field |
Description |
|
httpToHttps |
boolean Redirects all unencrypted HTTP requests to the same URI with scheme changed to |
TlsListener
TLS-encrypted (HTTP or TCP stream) listener resource.
|
Field |
Description |
|
defaultHandler |
Required field. Settings for handling requests by default, with Server Name |
|
sniHandlers[] |
Settings for handling requests with Server Name Indication (SNI) |
TlsHandler
A TLS-encrypted (HTTP or TCP stream) handler resource.
|
Field |
Description |
|
streamHandler |
Stream (TCP) handler. Includes only one of the fields Settings for handling requests. |
|
httpHandler |
HTTP handler. Includes only one of the fields Settings for handling requests. |
|
certificateIds[] |
string ID's of the TLS server certificates from Certificate Manager. The string length in characters for each value must be greater than 1. The maximum number of elements is 1. |
|
clientCertificatesVerification |
ClientCertificatesVerification Client certificates verification settings. |
ClientCertificatesVerification
Client certificates verification settings.
|
Field |
Description |
|
requireClientCertificate |
boolean If true, ALB will reject connections without a valid client certificate. |
|
bytes |
string Trusted certificate authority certificates bundle (PEM text). Includes only one of the fields |
SniMatch
A SNI handler resource.
|
Field |
Description |
|
name |
string Required field. Name of the SNI handler. |
|
serverNames[] |
string Server names that are matched by the SNI handler. The string length in characters for each value must be 1-255. Each value must match the regular expression |
|
handler |
Required field. Settings for handling requests with Server Name Indication (SNI) matching one of |
AllocationPolicy
A locality settings (allocation policy) resource.
|
Field |
Description |
|
locations[] |
Availability zones and subnets that the application load balancer resides. The minimum number of elements is 1. |
Location
An application load balancer location resource.
For details about the concept, see documentation.
|
Field |
Description |
|
zoneId |
string Required field. ID of the availability zone where the application load balancer resides. |
|
subnetId |
string ID of the subnet that the application load balancer belongs to. |
|
disableTraffic |
boolean Disables the load balancer node in the specified availability zone. |
|
zonalShiftActive |
boolean Show zonal shift status for the location. |
|
zonalTrafficDisabled |
boolean Computed field: will be set to true if all traffic in zone is disabled |
AutoScalePolicy
A resource for scaling settings of an application load balancer.
|
Field |
Description |
|
minZoneSize |
string (int64) Lower limit for the number of resource units in each availability zone. Acceptable values are 0 to 1000, inclusive. |
|
maxSize |
string (int64) Upper limit for the total number of resource units across all availability zones. Acceptable values are 0 to 1000, inclusive. |
LogOptions
|
Field |
Description |
|
logGroupId |
string Cloud Logging log group ID to store access logs. Value must match the regular expression |
|
discardRules[] |
ordered list of rules, first matching rule applies |
|
disable |
boolean Do not send logs to Cloud Logging log group. |
LogDiscardRule
LogDiscardRule discards a fraction of logs with certain codes.
If neither codes or intervals are provided, rule applies to all logs.
|
Field |
Description |
|
httpCodes[] |
string (int64) HTTP codes that should be discarded. Acceptable values are 100 to 599, inclusive. |
|
httpCodeIntervals[] |
enum (HttpCodeInterval) Groups of HTTP codes like 4xx that should be discarded.
|
|
grpcCodes[] |
enum (Code) GRPC codes that should be discarded
|
|
discardPercent |
string (int64) Percent of logs to be discarded: 0 - keep all, 100 or unset - discard all Acceptable values are 0 to 100, inclusive. |